New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Build package with token binding module for apache2 #461

Closed
yurem opened this Issue Jul 30, 2018 · 3 comments

Comments

Projects
None yet
3 participants
@yurem
Contributor

yurem commented Jul 30, 2018

We updated oxAuth to use this module. Also we will use this module in Fido API. Without server side support this functionality will not work. We need server module for this too.

Here is source code of this apache 2 module: https://github.com/zmartzone/mod_token_binding

@yurem yurem added this to the 3.1.4 milestone Jul 30, 2018

@yurem yurem changed the title from Build package with token binging module for apach2 to Build package with token binging module for apache2 Jul 30, 2018

@willow9886 willow9886 changed the title from Build package with token binging module for apache2 to Build package with token binding module for apache2 Aug 6, 2018

@nikdavnik

This comment has been minimized.

Contributor

nikdavnik commented Aug 9, 2018

gluu-server-3.1.4 is ready to ubuntu 18, with token binding module enabled in apache
you can install it from ubuntu 18 repo
deb https://repo.gluu.org/ubuntu/ bionic-devel main

after package installation you should run
/usr/sbin/gluu-serverd-3.1.4 enable
/usr/sbin/gluu-serverd-3.1.4 start
/usr/sbin/gluu-serverd-3.1.4 login

@sahiliamsso

This comment has been minimized.

Contributor

sahiliamsso commented Sep 11, 2018

This module is not enabled in Apache on Ubuntu16
root@c7:/etc/apache2# grep -i -R "mod_token_binding" *
image

Please close if this is expected.

@sahiliamsso sahiliamsso reopened this Sep 11, 2018

@nikdavnik

This comment has been minimized.

Contributor

nikdavnik commented Sep 13, 2018

This modules is enabled only for ubuntu18 package,
mod_token_binding module requires new versions on many libs and packages so it can not work on ubuntu14/16

@nikdavnik nikdavnik closed this Sep 13, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment